/**
 */
package com.sifang.modules.customer.entity;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;
import org.hibernate.annotations.GenericGenerator;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 租金信息Entity
 * @author lzp
 * @version 
 */
@Entity
@Table(name = "crm_customer_entry_rent")
@Cache(usage = CacheConcurrencyStrategy.READ_WRITE)
public class CustomerEntryRent implements Serializable {
	
	private static final long serialVersionUID = 1L;
	private String id; 		// 编号

	private String entryId;

	private BigDecimal thePeriodRent;

	private String payStatus;
	private String rentStaus; 	//

	private Date meetTime;

	private Date payTime;

	private BigDecimal currentPayable;
	private String powerStationCode;
	private String payCycle;

	public String getPowerStationCode() {
		return powerStationCode;
	}

	public void setPowerStationCode(String powerStationCode) {
		this.powerStationCode = powerStationCode;
	}

	public String getPayCycle() {
		return payCycle;
	}

	public void setPayCycle(String payCycle) {
		this.payCycle = payCycle;
	}

	public CustomerEntryRent() {
		super();
	}

	public CustomerEntryRent(String id){
		this();
		this.id = id;
	}

	@Id
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getEntryId() {
		return entryId;
	}

	public void setEntryId(String entryId) {
		this.entryId = entryId;
	}

	public BigDecimal getThePeriodRent() {
		return thePeriodRent;
	}

	public void setThePeriodRent(BigDecimal thePeriodRent) {
		this.thePeriodRent = thePeriodRent;
	}

	public String getPayStatus() {
		return payStatus;
	}

	public void setPayStatus(String payStatus) {
		this.payStatus = payStatus;
	}

	public String getRentStaus() {
		return rentStaus;
	}

	public void setRentStaus(String rentStaus) {
		this.rentStaus = rentStaus;
	}

	public Date getMeetTime() {
		return meetTime;
	}

	public void setMeetTime(Date meetTime) {
		this.meetTime = meetTime;
	}

	public BigDecimal getCurrentPayable() {
		return currentPayable;
	}

	public void setCurrentPayable(BigDecimal currentPayable) {
		this.currentPayable = currentPayable;
	}

	public Date getPayTime() {
		return payTime;
	}

	public void setPayTime(Date payTime) {
		this.payTime = payTime;
	}
}


